# vim: sts=2 ts=2 sw=2 et ai ft=yaml

# Make formula.path, formula.namespace, and formula.name available early in rendering
{% from salt["slsutil.findup"](sls, "builtins.jinja") import formula with context -%}


# The following items are set automatically by the formula:
#
#   name:       The last folder name in the formula path
#   path:       The full formula path, separated by slashes
#   namespace:  The full formula path, separated by dots
#   url:        The URL to the formula in the state tree
#
---
package: wordpress
php:
  extensions:
    - curl
    - dom
    - exif
    - fileinfo
    - filter
    - ftp
    - gd
    - iconv
    - intl
    - json
    - mbstring
    - mysqli
    - openssl
    - opcache
    - pecl-imagick
    - phar
    - session
    - simplexml
    - tokenizer
    - xml
    - xmlwriter
    - zip
    - zlib

nginx:
  httproot: /usr/local/www/wordpress
  configfile:
    name: {{ formula.name }}.conf
    source: {{ formula.url ~ "files/wordpress.conf" }}
    user: root
    group: wheel
    mode: "0644"

sharedfs:
  path: /usr/local/www/wordpress
  user: root
  group: wheel
  mode: "0755"
  device: null # <- override this
  fstype: nfs
  opts:
    - rw
    - nfsv4
    - minorversion=1
    - oneopenown
    - rsize=1048576
    - wsize=1048576
    - hard
    - timeo=600
    - retrans=2
    - noresvport
